Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core
Class PlannerBenchmarkResult

    java.lang.Object
      org.drools.planner.benchmark.core.PlannerBenchmarkResult

    public class PlannerBenchmarkResult

extends Object

Constructor Summary
`PlannerBenchmarkResult()`

Method Summary
`Long` | `getAverageCalculateCountPerSecond()`
`long` | `getCalculateCount()`
`int` | `getPlanningEntityCount()`
`ProblemBenchmark` | `getProblemBenchmark()`
`long` | `getProblemScale()`
`Score` | `getScore()`
`SolverBenchmark` | `getSolverBenchmark()`
`long` | `getTimeMillisSpend()`
`Score` | `getWinningScoreDifference()`
`void` | `setCalculateCount(long calculateCount)`
`void` | `setPlanningEntityCount(int planningEntityCount)`
`void` | `setProblemBenchmark(ProblemBenchmark problemBenchmark)`
`void` | `setProblemScale(long problemScale)`
`void` | `setScore(Score score)`
`void` | `setSolverBenchmark(SolverBenchmark solverBenchmark)`
`void` | `setTimeMillisSpend(long timeMillisSpend)`
`void` | `setWinningScoreDifference(Score winningScoreDifference)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlannerBenchmarkResult

    public PlannerBenchmarkResult()

Method Detail

### getSolverBenchmark

    public SolverBenchmark getSolverBenchmark()

### setSolverBenchmark

    public void setSolverBenchmark(SolverBenchmark solverBenchmark)

### getProblemBenchmark

    public ProblemBenchmark getProblemBenchmark()

### setProblemBenchmark

    public void setProblemBenchmark(ProblemBenchmark problemBenchmark)

### getPlanningEntityCount

    public int getPlanningEntityCount()

### setPlanningEntityCount

    public void setPlanningEntityCount(int planningEntityCount)

### getProblemScale

    public long getProblemScale()

### setProblemScale

    public void setProblemScale(long problemScale)

### getScore

    public Score getScore()

### setScore

    public void setScore(Score score)

### getWinningScoreDifference

    public Score getWinningScoreDifference()

### setWinningScoreDifference

    public void setWinningScoreDifference(Score winningScoreDifference)

### getTimeMillisSpend

    public long getTimeMillisSpend()

### setTimeMillisSpend

    public void setTimeMillisSpend(long timeMillisSpend)

### getCalculateCount

    public long getCalculateCount()

### setCalculateCount

    public void setCalculateCount(long calculateCount)

### getAverageCalculateCountPerSecond

    public Long getAverageCalculateCountPerSecond()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.